# Uses of Class
java.awt.Window

Packages that use Window
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.
javax.print.attribute.standard
Package `javax.print.attribute.standard` contains classes for specific printing attributes.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of Window in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util that return Window
Modifier and Type
Method
Description
`static Window[]`
EventQueueMonitor.`getTopLevelWindows()`
Return the list of top level Windows in use in the Java Virtual Machine.
`static Window`
EventQueueMonitor.`getTopLevelWindowWithFocus()`
Return the top level `Window` that currently has keyboard focus.
Methods in com.sun.java.accessibility.util with parameters of type Window
Modifier and Type
Method
Description
`void`
TopLevelWindowListener.`topLevelWindowCreated​(Window w)`
Invoked when a new top level window has been created.
`void`
TopLevelWindowListener.`topLevelWindowDestroyed​(Window w)`
Invoked when a top level window has been destroyed.

## Uses of Window in java.awt

Subclasses of Window in java.awt
Modifier and Type
Class
Description
`class`
`Dialog`
A Dialog is a top-level window with a title and a border that is typically used to take some form of input from the user.
`class`
`FileDialog`
The `FileDialog` class displays a dialog window from which the user can select a file.
`class`
`Frame`
A `Frame` is a top-level window with a title and a border.
Methods in java.awt that return Window
Modifier and Type
Method
Description
`Window`
KeyboardFocusManager.`getActiveWindow()`
Returns the active Window, if the active Window is in the same context as the calling thread.
`Window`
KeyboardFocusManager.`getFocusedWindow()`
Returns the focused Window, if the focused Window is in the same context as the calling thread.
`Window`
GraphicsDevice.`getFullScreenWindow()`
Returns the `Window` object representing the full-screen window if the device is in full-screen mode.
`protected Window`
KeyboardFocusManager.`getGlobalActiveWindow()`
Returns the active Window, even if the calling thread is in a different context than the active Window.
`protected Window`
KeyboardFocusManager.`getGlobalFocusedWindow()`
Returns the focused Window, even if the calling thread is in a different context than the focused Window.
`Window[]`
Window.`getOwnedWindows()`
Return an array containing all the windows this window currently owns.
`Window`
Window.`getOwner()`
Returns the owner of this window.
`static Window[]`
Window.`getOwnerlessWindows()`
Returns an array of all `Window`s created by this application that have no owner.
`static Window[]`
Window.`getWindows()`
Returns an array of all `Window`s, both owned and ownerless, created by this application.
Methods in java.awt with parameters of type Window
Modifier and Type
Method
Description
`Component`
FocusTraversalPolicy.`getInitialComponent​(Window window)`
Returns the Component that should receive the focus when a Window is made visible for the first time.
`void`
Taskbar.`requestWindowUserAttention​(Window w)`
Requests user attention to the specified window.
`void`
GraphicsDevice.`setFullScreenWindow​(Window w)`
Enter full-screen mode, or return to windowed mode.
`protected void`
KeyboardFocusManager.`setGlobalActiveWindow​(Window activeWindow)`
Sets the active Window.
`protected void`
KeyboardFocusManager.`setGlobalFocusedWindow​(Window focusedWindow)`
Sets the focused Window.
`void`
Taskbar.`setWindowIconBadge​(Window w, Image badge)`
Affixes a small badge to this application's icon in the task area for the specified window.
`void`
Taskbar.`setWindowProgressState​(Window w, Taskbar.State state)`
Sets a progress state for a specified window.
`void`
Taskbar.`setWindowProgressValue​(Window w, int value)`
Displays a determinate progress bar in the task area for the specified window.
Constructors in java.awt with parameters of type Window
Modifier
Constructor
Description
``
`Dialog​(Window owner)`
Constructs an initially invisible, modeless `Dialog` with the specified owner `Window` and an empty title.
``
`Dialog​(Window owner, Dialog.ModalityType modalityType)`
Constructs an initially invisible `Dialog` with the specified owner `Window` and modality and an empty title.
``
`Dialog​(Window owner, String title)`
Constructs an initially invisible, modeless `Dialog` with the specified owner `Window` and title.
``
`Dialog​(Window owner, String title, Dialog.ModalityType modalityType)`
Constructs an initially invisible `Dialog` with the specified owner `Window`, title and modality.
``
`Dialog​(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
Constructs an initially invisible `Dialog` with the specified owner `Window`, title, modality and `GraphicsConfiguration`.
``
`Window​(Window owner)`
Constructs a new, initially invisible window with the specified `Window` as its owner.
``
`Window​(Window owner, GraphicsConfiguration gc)`
Constructs a new, initially invisible window with the specified owner `Window` and a `GraphicsConfiguration` of a screen device.

## Uses of Window in java.awt.event

Methods in java.awt.event that return Window
Modifier and Type
Method
Description
`Window`
WindowEvent.`getOppositeWindow()`
Returns the other Window involved in this focus or activation change.
`Window`
WindowEvent.`getWindow()`
Returns the originator of the event.
Constructors in java.awt.event with parameters of type Window
Modifier
Constructor
Description
``
`WindowEvent​(Window source, int id)`
Constructs a `WindowEvent` object.
``
`WindowEvent​(Window source, int id, int oldState, int newState)`
Constructs a `WindowEvent` object with the specified previous and new window states.
``
`WindowEvent​(Window source, int id, Window opposite)`
Constructs a `WindowEvent` object with the specified opposite `Window`.
``
`WindowEvent​(Window source, int id, Window opposite, int oldState, int newState)`
Constructs a `WindowEvent` object.

## Uses of Window in java.awt.im.spi

Methods in java.awt.im.spi that return Window
Modifier and Type
Method
Description
`Window`
InputMethodContext.`createInputMethodWindow​(String title, boolean attachToInputContext)`
Creates a top-level window for use by the input method.

## Uses of Window in javax.print.attribute.standard

Methods in javax.print.attribute.standard that return Window
Modifier and Type
Method
Description
`Window`
DialogOwner.`getOwner()`
Returns a `Window owner`, if one was specified, otherwise `null`.
Constructors in javax.print.attribute.standard with parameters of type Window
Modifier
Constructor
Description
``
`DialogOwner​(Window owner)`
Constructs an instance which can be used to request that the specified `Window` be the owner of the dialog.

## Uses of Window in javax.swing

Subclasses of Window in javax.swing
Modifier and Type
Class
Description
`class`
`JDialog`
The main class for creating a dialog window.
`class`
`JFrame`
An extended version of `java.awt.Frame` that adds support for the JFC/Swing component architecture.
`class`
`JWindow`
A `JWindow` is a container that can be displayed anywhere on the user's desktop.
Methods in javax.swing that return Window
Modifier and Type
Method
Description
`static Window`
SwingUtilities.`getWindowAncestor​(Component c)`
Returns the first `Window` ancestor of `c`, or `null` if `c` is not contained inside a `Window`.
`static Window`
SwingUtilities.`windowForComponent​(Component c)`
Returns the first `Window` ancestor of `c`, or `null` if `c` is not contained inside a `Window`.
Methods in javax.swing with parameters of type Window
Modifier and Type
Method
Description
`void`
RepaintManager.`addDirtyRegion​(Window window, int x, int y, int w, int h)`
Adds `window` to the list of `Component`s that need to be repainted.
Constructors in javax.swing with parameters of type Window
Modifier
Constructor
Description
``
`JDialog​(Window owner)`
Creates a modeless dialog with the specified `Window` as its owner and an empty title.
``
`JDialog​(Window owner, Dialog.ModalityType modalityType)`
Creates a dialog with an empty title and the specified modality and `Window` as its owner.
``
`JDialog​(Window owner, String title)`
Creates a modeless dialog with the specified title and owner `Window`.
``
`JDialog​(Window owner, String title, Dialog.ModalityType modalityType)`
Creates a dialog with the specified title, owner `Window` and modality.
``
`JDialog​(Window owner, String title, Dialog.ModalityType modalityType, GraphicsConfiguration gc)`
Creates a dialog with the specified title, owner `Window`, modality and `GraphicsConfiguration`.
``
`JWindow​(Window owner)`
Creates a window with the specified owner window.
``
`JWindow​(Window owner, GraphicsConfiguration gc)`
Creates a window with the specified owner window and `GraphicsConfiguration` of a screen device.

## Uses of Window in javax.swing.plaf.basic

Subclasses of Window in javax.swing.plaf.basic
Modifier and Type
Class
Description
`protected class`
`BasicToolBarUI.DragWindow`
The window which appears during dragging the `JToolBar`.